#ifndef __DVB_SUBTITLES_RENDERER_H
#define __DVB_SUBTITLES_RENDERER_H

#include "clut.h"
#include "region.h"

class Renderer 
{

public:
  Renderer( Region* iRegion, int aX, int aY );
  virtual ~Renderer() {};
  virtual void Draw( int aX , int aY, int aPixelCode, int rl = 1 );
  const Clut *GetClut () { return iRegion->GetClut (); }

private:

  Region* iRegion;
  int iX;
  int iY;


};

#endif


